KJS::ExecState Class Reference

`#include <interpreter.h>`

## Public Member Functions

Interpreter * | dynamicInterpreter () const
Interpreter * | interpreter () const
Interpreter * | lexicalInterpreter () const
Context | context () const
void | setException (const Value &e)
void | clearException ()
Value | exception () const
bool | hadException ()

## Static Public Member Functions

static void | requestTerminate ()

## Static Public Attributes

static bool(* | confirmTerminate )()

## Friends

class | InterpreterImp
class | FunctionImp
class | GlobalFuncImp
class | TryNode
class | VarDeclNode
class | FuncDeclNode

## Detailed Description

Represents the current state of script execution.

This object allows you obtain a handle the interpreter that is currently executing the script, and also the current execution state context.

Definition at line 439 of file interpreter.h.

## Member Function Documentation

Context KJS::ExecState::context | ( |  | ) | const

inline

Returns the execution context associated with this execution state.

Returns
  The current execution state context

Definition at line 471 of file interpreter.h.

Interpreter* KJS::ExecState::dynamicInterpreter | ( |  | ) | const

inline

Returns the interpreter associated with this execution state.

Returns
  The interpreter executing the script

Definition at line 453 of file interpreter.h.

Interpreter * ExecState::lexicalInterpreter | ( |  | ) | const

Returns the interpreter associated with the current scope's global object.

Returns
  The interpreter currently in scope

Definition at line 395 of file interpreter.cpp.

The documentation for this class was generated from the following files:

- interpreter.h
- interpreter.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys